# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_enc_picstats_t Struct Reference

`#include <dirac_encoder.h>`

List of all members.

## Public Attributes

- unsigned int mv_bits
- unsigned int ycomp_bits
- unsigned int ucomp_bits
- unsigned int vcomp_bits
- unsigned int pic_bits

## Detailed Description

Structure that holds the statistics about the encoded picture

## Member Data Documentation

unsigned int dirac_enc_picstats_t::mv_bits

Number of motion vector bits

unsigned int dirac_enc_picstats_t::pic_bits

Total number of bits used to encode picture

unsigned int dirac_enc_picstats_t::ucomp_bits

Number of used to encode u component

unsigned int dirac_enc_picstats_t::vcomp_bits

Number of used to encode v component

unsigned int dirac_enc_picstats_t::ycomp_bits

Number of used to encode y component

The documentation for this struct was generated from the following file:

- dirac_encoder.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.